DisplayProfile (gCube Social Profile Portlet 1.0.0-3.4.0 API)
Date: 2014-10-01

org.gcube.portlets.user.socialprofile.client.ui

## Class DisplayProfile

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.gcube.portlets.user.socialprofile.client.ui.DisplayProfile

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

      public class DisplayProfile
      extends com.google.gwt.user.client.ui.Composite

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `avatar_default`
    `static String` | `CONTROL_SEQUENCE_COOKIE`
    `static String` | `GET_OID_PARAMETER`
    `protected static String` | `HEADLINE_ERROR`
    `protected static String` | `HEADLINE_TEXT`
    `protected static String` | `ISTI_ERROR`
    `protected static String` | `ISTI_TEXT`
    `static String` | `loading`
    `static String` | `savingImage`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DisplayProfile()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getRedirectURI()`
    `void` | `show(UserContext result)`
    `void` | `showError(String message)`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### HEADLINE_TEXT

          protected static final String HEADLINE_TEXT

      See Also:
        Constant Field Values

    - #### HEADLINE_ERROR

          protected static final String HEADLINE_ERROR

      See Also:
        Constant Field Values

    - #### ISTI_TEXT

          protected static final String ISTI_TEXT

      See Also:
        Constant Field Values

    - #### ISTI_ERROR

          protected static final String ISTI_ERROR

      See Also:
        Constant Field Values

    - #### avatar_default

          public static final String avatar_default

    - #### loading

          public static final String loading

    - #### savingImage

          public static final String savingImage

    - #### GET_OID_PARAMETER

          public static final String GET_OID_PARAMETER

      See Also:
        Constant Field Values

    - #### CONTROL_SEQUENCE_COOKIE

          public static final String CONTROL_SEQUENCE_COOKIE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DisplayProfile

          public DisplayProfile()

  - ### Method Detail

    - #### show

          public void show(UserContext result)

      Parameters:
        `result` -

    - #### getRedirectURI

          public static String getRedirectURI()

      Returns:
        the redirect uri when authorized (or not) by LinkedIn via oAuth2

    - #### showError

          public void showError(String message)

Copyright © 2014. All Rights Reserved.